import Vue from 'vue'

//保留两位小数
Vue.filter('keepTwoNum',function(val){
	let value = Number(val)
	return value.toFixed(2)
});

//格式化数字三位加一逗号
Vue.filter('NumFormat', function(value) {
	if(!value) return '';
	/*原来用的是Number(value).toFixed(0)，这样取整时有问题，例如0.51取整之后为1 */
	/*后来改成了 Number(value)|0,但是输入超过十一位就为负数了 */
	var intPart = Number(value) - Number(value)%1; //获取整数部分
	var intPartFormat = intPart.toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,'); //将整数部分逢三一断
	return intPartFormat;

});

//链接加时间戳
Vue.filter("timestamp", function(link) {	
	return link + '?t=' + new Date().getTime();
});

//截取第一张照片且判断是否有图片，没有图片输入默认图片
Vue.filter("firstImg",function(arr,sizeType,imgType){
	//图片类型判断
	if(arr){
		if(arr instanceof Array){
			img = arr[0]
		}else{
			img = arr.split(',')[0]
		}
	}else if(!arr){
		//如果没有图片则随机输出一张
		// if(imgType === 'farmer'){
		// 	const farmerList = ['carbon2/farmer/1.png','carbon2/farmer/2.png']
		// 	img = farmerList[Math.floor(Math.random() * farmerList.length)];
		// }
		// img = '/static/img/inbuild.png'
	}
	// return config.imgUrl + img;
	return img;
});

//七牛云压缩图片
Vue.filter("miniImg",function(img,quality){
	return img+'?imageMogr2/quality/'+quality
});

//车辆颜色
Vue.filter("filterCarColor",function(item){
	item = Number(item);
	switch (item){
		case 0:
			return '蓝色'
			break;
		case 1:
			return '黄色'
			break;
		case 2:
			return '黑色'
			break;
		case 3:
			return '白色'
			break;
		case 4:
			return '绿色'
			break;
		case 99:
			return '其他'
			break;
		default:
			return '其他'
			break;
	}
	
});

//车辆类型
Vue.filter("filterCarType",function(item){
	// console.log(item)
	item = Number(item);
	switch (item){
		case 0:
			return '小车'
			break;
		case 1:
			return '大车'
			break;
		case 2:
			return '超大型车'
			break;
		case 3:
			return '摩托车'
			break;
		case 4:
			return '非机动车'
			break;
		case 5:
			return '其他'
			break;
		default:
			return '其他'
			break;
	}
	
});

// 订单状态
Vue.filter("filterOrderStatus",function(status){
	status = Number(status);
	switch (status){
		case 1:
			return '停放中'
			break;
		case 2:
			return '出场中'
			break;
		case 3:
			return '欠费'
			break;
		case 4:
			return '完成'
			break;
		default:
			return '未知'
			break;
	}
	
});

// 支付状态
Vue.filter("filterPayStatus",function(status){
	status = Number(status);
	switch (status){
		case 0:
			return '未支付'
			break;
		case 1:
			return '已支付'
			break;
		case 2:
			return '支付中'
			break;
		case 3:
			return '支付失败'
			break;
		default:
			return '未知'
			break;
	}
	
});




